package edu.whs.spin2018.baoapp.model.remote.lobby;

import java.util.List;

import edu.whs.spin2018.baoapp.model.Benutzer;

public interface LobbyEventListener {

    void onHerausforderungErhalten(Benutzer absender);

    void onHerausforderungBeendetErhalten();

    void onHerausforderungAngenommenErhalten();

    void onBenutzerVerlaesstRaumErhalten(Benutzer benutzer);

    void onBenutzerTrittRaumBeiErhalten(Benutzer benutzer);

    void onBenutzerlisteErhalten(List<Benutzer> benutzerliste);
}
